using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MyOffice.Migrations.Postgres.Migrations
{
    /// <inheritdoc />
    public partial class gcurrencyshortname : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ShortName",
                table: "CurrencyGlobals");

            migrationBuilder.AddColumn<string>(
                name: "ShortName",
                table: "Currencies",
                type: "text",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ShortName",
                table: "Currencies");

            migrationBuilder.AddColumn<string>(
                name: "ShortName",
                table: "CurrencyGlobals",
                type: "text",
                nullable: false,
                defaultValue: "");
        }
    }
}
